CREATE TABLE [dbo].[trace] (
	[RowNumber] int NOT NULL IDENTITY(0,1),
	[EventClass] int NULL,
	[TextData] ntext NULL,
	[DatabaseID] int NULL,
	[TransactionID] bigint NULL,
	[LineNumber] int NULL,
	[HostName] nvarchar(128) NULL,
	[ApplicationName] nvarchar(128) NULL,
	[LoginName] nvarchar(128) NULL,
	[SPID] int NULL,
	[StartTime] datetime NULL,
	[State] int NULL,
	[RequestID] int NULL,
	[EventSequence] bigint NULL,
	[Offset] int NULL,
	[Duration] bigint NULL,
	[EndTime] datetime NULL,
	[Reads] bigint NULL,
	[Writes] bigint NULL,
	[CPU] int NULL,
	[RowCounts] bigint NULL,
	[ObjectType] int NULL,
	[ObjectName] nvarchar(128) NULL,
	[BinaryData] image NULL
)
ALTER TABLE [dbo].[trace] ADD CONSTRAINT [PK__trace__1308BEAA] PRIMARY KEY CLUSTERED ([RowNumber])
GO